Czech Danish Dutch English French German Hungarian Italian Norwegian Polish Portuguese Brasilian Portuguese Romanian Serbian Spanish Swedish

Poniżej wymienione są błędy występujące w ostatnich wersjach Ultimate Stunts. Jeśli odkryłeś w najnowszej wersji błąd, który nie jest tutaj zamieszczony, przejdź na stronę zgłaszania błędów sourceforge. Jeżeli tam również nie ma informacji na jego temat, możesz przesłać opis błędu.
Uwaga: Ultimate Stunts nie jest jeszcze ukończonym programem. Nie zgłaszaj błędów związanych z funkcjami, które nie zostały jeszcze zaimplementowane. Ponadto, przeczytaj najpierw dokumentację!

Ponieważ nie lubię błędów, nigdy nie wprowadzam ich do Ultimate Stunts. Wszystkie błędy występujące w Ultimate Stunts muszą być spowodowane przez inne osoby ;-)

Błędy krytyczne:

Opis błędu Dotyczy Przyczyna Możliwe rozwiązanie
Okno staje się czarne po zmianie jego rozmiarów Wersja Ultimate Stunts dla Windows Problem związany z SDL Użyj wersji dla innego systemu, np. Linuksa, uruchamiaj program na pełnym ekranie albo nie zmieniaj rozmiarów okna
Ultimate Stunts przestaje działać w momencie rozpoczynania gry Wersja 0.5.3 dla Windows (Prawdopodobnie) błąd w Ultimate Stunts (chociaż może to też być błąd w sterownikach OpenGL firmy nVidia) Nie wybieraj samochodu Diablo (problem jest chyba związany z modelem nadwozia Diablo)
Ultimate Stunts przestaje działać w momencie rozpoczynania wyścigu. Wyjście standardowe zawiera informacje o przerwaniu działania funkcji ALUT z powodu wcześniejszych błędów AL. Wersja 0.7.0, skompilowana z dźwiękiem OpenAL Najprawdopodobniej błąd w OpenAL Błąd będzie poprawiony w następnej wersji (0.7.1), więc proszę o cierpliwość

Problemy z kompilacją:

Pierwszy (istotny) błąd Dotyczy Przyczyna Możliwe rozwiązanie
In file included from /usr/include/c++/3.3.2/backward/new.h:33,
                 from /usr/include/g++-3/stl_algobase.h:52,
                 from /usr/include/g++-3/vector:30,
                 from binbuffer.h:20,
                 from binbuffer.cpp:17:
/usr/include/c++/3.3.2/backward/backward_warning.h:32:2: warning:
#warning This file includes at least one deprecated or antiquated
header. Please consider using one of the 32 headers found in section
17.4.1.2 of the C++ standard. Examples include substituting the 
header for the  header for C++ includes, or 
instead of
the deprecated header . To disable this warning use
-Wno-deprecated.
gcc 3.3 (być może dotyczy również innych wersji) Niezgodność z wcześniejszymi wersjami STL? Nie mamy pojęcia. Prosimy o kontakt jeśli ten błąd występuje u ciebie.
/usr/bin/ld: cannot find -lXi
Kompilacje w systemach opartych na X Window (Linux, BSD itp.) W systemie brakuje niektórych bibliotek X Window. Prawdopodobnie zostały usunięte w nowych wersjach X Window. Otwórz w edytorze tekstu skrypt konfiguracji (configure) i usuń wszystkie wystąpienia -lXi na listach bibliotek X Window. Nie są one potrzebne do skompilowania Ultimate Stunts więc nie powinno to spowodować problemów. Zapisz zmodyfikowaną wersję configure, uruchom ją i ponownie spróbuj wykonać kompilację. Błąd (zostanie) poprawiony w Ultimate Stunts 0.7.1